Bug 797355 - RFE: ibus 1.4 overrides xkb layout options from gnome
RFE: ibus 1.4 overrides xkb layout options from gnome
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-24 21:33 EST by Jens Petersen
Modified: 2013-01-31 04:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-31 04:37:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2012-02-24 21:33:19 EST
Description of problem:
I think this is problem is fixed in ibus-1.5pre (ie in F17)
but this problem exists for F16 at least I think (probably F15 too?).

Version-Release number of selected component (if applicable):
ibus-1.4.1-1.fc16

How reproducible:
100%

Steps to Reproduce:
1. start gnome desktop session with ibus running
2. change xkb layout options in gnome-control-center
   eg swap position of Ctrl and Caps, say or Alt and Super keys...
3. switch between applications
  
Actual results:
3. The xkb options no longer work after getting a new ibus context
   and the actual keyboard layout reverts to the original one in (1.)

Expected results:
3. ibus to preserve and respect the gnome xkb settings.

Additional info:
Maybe hard to fix in current 1.4?
Is it possible to backport the new xkb code from 1.5 say?
Comment 1 fujiwara 2012-02-28 20:41:28 EST
I think you didn't restart ibus after xkb keymaps are changed by gnome-control-center.
I think the on-the-fly way needs libxklavier feature in ibus and Fedora 17 ibus uses libxklavier.
Currently I don't think to back port the new features in the previous Fedora until we have the enough tests.
Probably I'd like to close this as I think it's better to focus on Fedora 17 at present.
Or do you wish to keep this bug?
Comment 2 Jens Petersen 2012-03-01 01:04:52 EST
So far the only workaround I have found is to quit ibus,
or to restart the desktop.

Perhaps I can list the detailed steps to reproduce and
you can tell me if I am missing something?

Anyway I think it would be better to keep this open
to track this problem - even if I might have moved
on to F17 before it gets fixed...
Comment 3 Jens Petersen 2012-03-01 22:40:40 EST
Fujiwara-san communicated that the correct workaround is to
quit ibus first, then change the xkb layout setting in g-c-c,
and then restart ibus, I think.  That sounds right and
I will try to test that soon.
Comment 4 fujiwara 2013-01-31 04:37:39 EST
The feature won't be backport to f16. Closing.

Note You need to log in before you can comment on or make changes to this bug.